.\" @(#)man.conf
.TH MAN.CONF 5 "September 19, 2005"
.SH NAME
man.conf \- configuration data for man
.SH DESCRIPTION
.LP
This file is read by
.BR man (1)
and contains (a) information on how to construct the search path for man,
(b) full path names for various programs like nroff, eqn, tbl etc. used by man,
and (c) a list with uncompressors for files with a given extension.
An alternative version of this file can be specified with
.LP
.RS
man -C private_man.conf ...
.RE
.LP
The command names may be provided with options. 
Useful options to nroff can be found in grotty(1).
For example, instead of the default line
.LP
.RS
.nf
NROFF /usr/bin/groff -mandoc -Tlatin1
.fi
.RE
.LP
one may write
.LP
.RS
.nf
NROFF /usr/bin/groff -mandoc -Tlatin1 -P-u -P-b
.fi
.RE
.LP
in order to suppress underlining and overstriking.
.SH FILES
.I "@man_config_file@"
.SH AUTHOR
John W. Eaton was the original author of
.BR "man" .
Zeyd M. Ben-Halim released man 1.2, and Andries Brouwer followed up with versions 1.3 thru 1.5p.
Federico Lucifredi <flucifredi@acm.org> is the current maintainer.
.SH "SEE ALSO"
col(1), (g)eqn(1), (g)pic(1), groff(1), grotty(1), (g)refer(1), (g)tbl(1),
less(1), man (1) and compress(1), gzip(1).
