.\" Man stranica za man (i bivi manpath)
.\"
.\" Copyright (c) 1990, 1991, John W. Eaton.
.\"
.\"   You may distribute under the terms of the GNU General Public
.\"   License as specified in the README file that comes with the man 1.0
.\"   distribution.  
.\"
.\" Moete distribuirati pod uvjetima GNU Ope javne licence kako je
.\" odreeno u datoteci README koja dolazi s distribucijom mana 1.0.
.\"
.\" John W. Eaton
.\" jwe@che.utexas.edu
.\" Department of Chemical Engineering
.\" The University of Texas at Austin
.\" Austin, Texas  78712
.\"
.\" Mnoge promjene -- aeb
.\"
.\" 9. studenog 1998. preveo Matej Vela <mvela@public.srce.hr>, META.
.TH man 1 "2. rujna 1998."
.SH IME
man \- formatira i prikazuje raunalne man stranice
.br
manpath \- saznaje korisnikovu stazu pretraivanja za man stranice
.SH SAETAK
man [\-acdfhkKtwW] [\-m sustav] [\-p niz] [\-C konfiguracijska_datoteka]
[\-M staza] [\-P preglednik] [\-S popis_dijelova] [dio] ime ...
.SH OPIS
.B man
formatira i prikazuje raunalne man stranice. Ova verzija poznaje varijable
okruja
.B MANPATH
i
.BR (MAN)PAGER ,
pa moete imati svoje vlastite skupove osobnih man stranica i odabrati
eljeni program za prikaz formatiranih stranica. Ako je naveden
.IR dio ,
.B man
pretrauje samo taj dio man stranica.
Takoer moete preko opcija na naredbenom redu ili varijabli okruja
odrediti red po kojem se pretrauju dijelovi te preprocesore kojima se
obrauju izvorne datoteke.
Ako
.I ime
sadri /, prvo ga se iskuava kao ime datoteke, pa tako moete pokrenuti
``man ./foo.5'' ili ak ``man /cd/foo/bar.1.gz''.
.SH OPCIJE
.TP
.B \-\^C " konfiguracijska_datoteka"
Koristi drugi
.IR man.conf ;
predodreeni je
.BR @man_config_file@ .
(Pogledajte
.BR man.conf (5).)
.TP
.B \-\^M " staza"
.I staza
je popis direktorija u kojima se trae man stranice.
Ako takva opcija nije dana, koristi varijablu okruja
.BR MANPATH .
Ako takve varijable okruja nema, predodreeni popis se nalazi u
.BR @man_config_file@ .
Neispunjen dio u
.B MANPATH
odgovara predodreenom popisu.
.TP
.B \-\^P " preglednik"
Odreuje koriteni preglednik.
Ova opcija ima prednost nad varijablom okruja
.BR MANPAGER ,
koja pak ima prednost nad varijablom
.BR PAGER .
.B man
predodreeno koristi
.BR @pager@ .
.TP
.B \-\^S " popis_dijelova"
.I popis_dijelova
je popis dvotokama razdvojenih dijelova man stranica koje se pretrauje.
Ova opcija ima prednost nad varijablom okruja
.BR MANSECT .
.TP
.B \-\^a
.B man
predodreeno izlazi nakon prikazivanja prve naene man stranice. Ova opcija
prisiljava
.B man
na prikaz svih man stranica ije je ime
.IR ime ,
a ne samo prve.
.TP
.B \-\^c
Ponovno formatira izvornu man stranicu, ak i kada postoji svjea cat
stranica. Ovo ima smisla ako je cat stranica formatirana za drukiju irinu
zaslona ili ako je preformatirana stranica pokvarena.
.TP
.B \-\^d
U stvari ne prikazuje man stranice, ali zato ispisuje gomilu informacija za
otklanjanje greaka.
.TP
.B \-\^D
I prikazuje i ispisuje informacije za otklanjanje greaka.
.TP
.B \-\^f
Isto to i
.BR whatis .
.TP
.B \-\^h
Ispisuje poruku o koritenju od jednog reda i zavrava.
.TP
.B \-\^k
Isto to i
.BR apropos .
.TP
.B \-\^K
Navedeni niz trai u
.I svim
man stranicama. Upozorenje: ovo je vjerojatno vrlo sporo! Navoenje dijela
ubrzava stvari.
(Samo okvirno, na mom stroju ovo traje oko minutu na 500 man stranica.)
.TP
.B \-\^m " sustav"
Pretrauje se drugi skup man stranica na osnovu danog imena sustava.
.TP
.B \-\^p " niz"
.I niz
odreuje niz preprocesora koje treba pokrenuti prije pokretanja
.B nroff
odnosno
.BR troff .
Sve instalacije nemaju potpun skup preprocesora. Neki od preprocesora i
slova koja ih oznauju su:
eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r).
Ova opcija ima prednost nad varijablom okruja
.BR MANROFFSEQ .
.TP
.B \-\^t
Za formatiranje man stranica koristi
.BR @troff@ ,
aljui izlaz na standardni izlaz. Izlaz iz
.B @troff@
moe prije samog tiskanja zahtijevati prolazak kroz neki filter.
.TP
.B \-\^w \fRili\fP \-\-path
U stvari ne prikazuje man stranice, ali zato ispisuje lokacije datoteka koje
bi se formatirale ili prikazale. Ako nije dan nijedan argument, prikazuje
(na standardnom izlazu) popis direktorija u kojima
.B man
trai man stranice. Ako je
.B manpath
veza na
.BR man ,
onda ``manpath'' ima isti uinak kao ``man --path''.
.TP
.B \-\^W
Kao \-\^w, ali svako ime datoteke ispisuje u zasebnom redu, bez dodatnih
informacija. Ovo je korisno u naredbama ljuske kao to je
.ft CW
.B "man -aW man | xargs ls -l"
.ft
.SH "CAT STRANICE"
.B man
e pokuati snimiti formatirane man stranice kako bi utedio vrijeme
formatiranja slijedei put kada te man stranice budu potrebne.
Tradicionalno se formatirane verzije stranica iz
.I DIREKTORIJ/manX
snimaju u
.IR DIREKTORIJ/catX , 
no druga mapiranja man direktorija u cat direktorije se mogu odrediti u
.BR @man_config_file@ .
Kada potrebni cat direktorij ne postoji, cat stranice se ne snimaju.
.PP
.B man
se moe suid-ati na korisnika man. Potom e, ako je vlasnik cat direktorija
man, uz dozvole 0755 (pisati moe samo man), a vlasnik cat datoteka man uz
dozvole 0644 ili 0444 (pisati moe samo man, odnosno nitko ne moe pisati),
nijedan obini korisnik ne moe mijenjati cat stranice ili stavljati druge
datoteke u cat direktorij. Ako
.B man
nije suid-an, cat direktorij bi trebao imati dozvole 0777
ako bi svi korisnici trebali moi tamo ostavljati cat stranice.
.PP
Opcija
.B \-c
prisiljava na ponovno formatiranje stranice, ak i ako postoji svjea cat
stranica.
.SH OKRUJE
.TP
.B MANPATH
Ako je
.B MANPATH
postavljenja, njena se vrijednost koristi kao staza za traenje man
stranica.
.TP
.B MANROFFSEQ
Ako je
.B MANROFFSEQ
postavljena, njena vrijednost odreuje skup preprocesora
koje treba pokrenuti prije pokretanja
.B nroff
odnosno
.BR troff .
Stranice predodreeno prolaze kroz preprocesor tablica prije nego prou
kroz
.BR nroff .
.TP
.B MANSECT
Ako je
.B MANSECT
postavljena, njena vrijednost odreuje dijelove man stranica
koje treba pretraiti.
.TP
.B MANWIDTH
Ako je
.B MANWIDTH
postavljena, njena se vrijednost koristi kao irina u kojoj bi se man
stranice trebale prikazivati. Inae se stranice mogu prikazati preko cijele
irine vaeg zaslona.
.TP
.B MANPAGER
Ako je
.B MANPAGER
postavljena, njena se vrijednost koristi kao ime programa za prikaz man
stranice. Ako nije, koristi se
.BR PAGER .
Ako ni to nema vrijednosti, koristi se
.BR @pager@ .
.TP
.B LANG
Ako je
.B LANG
postavljena, njena vrijednost odreuje ime poddirektorija u kojem
.B man
najprije trai man stranice. Dakle, naredba `LANG=hr man 1 foo'
.B man
tjera na traenje man stranice foo u .../hr/man1/foo.1, a ako takvu datoteku
ne moe nai, u .../man1/foo.1, gdje ... oznaava direktorij u stazi
pretrage.
.TP
.B NLSPATH, LC_MESSAGES, LANG
Varijable okruja
.B NLSPATH
i
.B LC_MESSAGES
(odnosno
.B LANG
kada ova druga ne postoji) igraju ulogu u nalaenju kataloga poruka.
(No engleske su poruke ugraene i engleski katalog nije potreban.)
Primjetite da programi koje
.B man
pokree, kao to je
.BR col (1),
takoer mogu koristiti npr.
.BR LC_CTYPE .
.TP
.B PATH
.B PATH
se koristi u graenju predodreene staze traenja man stranica.
.TP
.B SYSTEM
.B SYSTEM
se koristi za odreivanje predodreenog imena drugog sustava (za koritenje
uz opciju
.BR \-m ).
.SH "TAKOER POGLEDAJTE"
.BR apropos (1),
.BR whatis (1),
.BR less (1),
.BR groff (1).
.SH GREKE
Opcija
.B \-t
radi samo ako je instaliran
.BR troff-olik
program.
.PP
Ako umjesto crtica vidite trepui \e255 ili <AD>, u okruje dodajte
`LESSCHARSET=latin1'.
