Summary: A set of documentation tools:  man, apropos and whatis.
Name: man
Version: 1.5gjp
Release: 3.4
Copyright: GPL
Group: System Environment/Base
Source0: ftp://ftp.win.tue.nl/pub/linux/util/man/man-1.5g.tar.gz
Source1: makewhatis.cronweekly
Source2: makewhatis.crondaily
Source3: man-1.5e-rhpath.patch
Source4: man-1.5g-rhpath.patch
Source5: man.JM
Patch0: man-1.5g-manpath.patch
Patch2: man-1.5g-buildroot.patch
Patch3: man-1.5-manconf.patch
Patch4: man-1.5g-make.patch
Patch5: man-1.5g-ja2.diff.gz
Buildroot: /var/tmp/%{name}-root
Requires: groff

%description
The man package includes three tools for finding information and/or
documentation about your Linux system:  man, apropos and whatis.  The man
system formats and displays on-line manual pages about commands or
functions on your system.  Apropos searches the whatis database
(containing short descriptions of system commands) for a string.  Whatis
searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way for finding documentation.

%prep
%setup -q -n man-1.5g
%patch0 -p1 -b .manpath
%patch2 -p1 -b .buildroot
%patch3 -p1 
%patch4 -p1 -b .make
%patch5 -p1
rm -f $RPM_BUILD_DIR/man-%{version}/man/en/man.conf.man

%build
./configure -default +fsstnd +sgid
patch -p1 -s < $RPM_SOURCE_DIR/man-1.5g-rhpath.patch
make CC="gcc -g $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/{bin,man,sbin}
mkdir -p  $RPM_BUILD_ROOT/etc/cron.{daily,weekly}
make install PREFIX=$RPM_BUILD_ROOT
(cd ${RPM_BUILD_ROOT}/usr/bin/
        mv man man.exe
        strip man.exe
        install -m 755 ${RPM_SOURCE_DIR}/man.JM man
        ln -sf man jman
	ln -sf man eman
)

install -m755 $RPM_SOURCE_DIR/makewhatis.cronweekly $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis.cron
install -m755 $RPM_SOURCE_DIR/makewhatis.crondaily $RPM_BUILD_ROOT/etc/cron.daily/makewhatis.cron

mkdir -p $RPM_BUILD_ROOT/var/catman
mkdir -p $RPM_BUILD_ROOT/var/catman/local
mkdir -p $RPM_BUILD_ROOT/var/catman/X11R6
mkdir -p $RPM_BUILD_ROOT/var/catman/ja_JP.ujis
mkdir -p $RPM_BUILD_ROOT/var/catman/local/ja_JP.ujis
mkdir -p $RPM_BUILD_ROOT/var/catman/X11R6/ja_JP.ujis
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p $RPM_BUILD_ROOT/var/catman/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/local/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/X11R6/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/ja_JP.ujis/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/X11R6/ja_JP.ujis/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/local/ja_JP.ujis/cat$i
done

##strip $RPM_BUILD_ROOT/usr/bin/man

# added man2html stuff
cd man2html
make install PREFIX=$RPM_BUILD_ROOT

# symlinks for manpath
( cd $RPM_BUILD_ROOT
  ln -s man ./usr/bin/manpath
  ln -s man.1 ./usr/man/man1/manpath.1
)

%preun
# Clean up accumulated cat litter.
rm -f /var/catman/cat[123456789n]/*
rm -f /var/catman/local/cat[123456789n]/*
rm -f /var/catman/X11R6/cat[123456789n]/*
rm -f /var/catman/ja_JP.ujis/cat[123456789n]/*
rm -f /var/catman/local/ja_JP.ujis/cat[123456789n]/*
rm -f /var/catman/X11R6/ja_JP.ujis/cat[123456789n]/*

%post
rm -f /var/catman/cat[123456789n]/*
rm -f /var/catman/local/cat[123456789n]/*
rm -f /var/catman/X11R6/cat[123456789n]/*
rm -f /var/catman/ja_JP.ujis/cat[123456789n]/*
rm -f /var/catman/local/ja_JP.ujis/cat[123456789n]/*
rm -f /var/catman/X11R6/ja_JP.ujis/cat[123456789n]/*
(
    cd /usr/bin
    chown root.man man.exe
    chmod 2555 man.exe
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/cron.weekly/makewhatis.cron
%config /etc/cron.daily/makewhatis.cron
%attr(2555,root,man) /usr/bin/man.exe
/usr/bin/man
/usr/bin/jman
/usr/bin/eman
/usr/bin/manpath
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis
/usr/bin/man2html
%config /etc/man.config
/usr/man/man5/man.config.5
/usr/man/man1/whatis.1
/usr/man/man1/man.1
/usr/man/man1/manpath.1
/usr/man/man1/apropos.1
/usr/man/man1/man2html.1

%attr(0775,root,man)	%dir /var/catman
%attr(0775,root,man)	%dir /var/catman/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/local
%attr(0775,root,man)	%dir /var/catman/local/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/X11R6
%attr(0775,root,man)	%dir /var/catman/X11R6/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/ja_JP.ujis
%attr(0775,root,man)	%dir /var/catman/ja_JP.ujis/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/local/ja_JP.ujis
%attr(0775,root,man)	%dir /var/catman/local/ja_JP.ujis/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/X11R6/ja_JP.ujis
%attr(0775,root,man)	%dir /var/catman/X11R6/ja_JP.ujis/cat[123456789n]

%changelog
* Tue Oct 12 1999 Tatsuo SEKINE <tsekine@isoternet.org>
- modify buildroot.patch for non-root user packaging

* Thu Jun 3 1999 Shin Fukui <shinta@april.co.jp>
- add japanize patch from JRPM

* Mon May 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed #2532 by adding /usr/local/sbin as a MANPATH_MAP

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- cron.weekly rebuilds, cron.daily updates in minimal time

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- man 1.5g bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- add manpath symlinks (#1138).

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #792
- added man2html files

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath
